Subject: [amos-list] Re: Transparent Screen Copying
From: Andrew Crowe <[email-masked]>
To: [email-masked]
Date: Sat, 28 Aug 1999 18:49:22 +0000

From: Andrew Crowe <[email-masked]>

Hi Everybody,

> That is: If you are to make a single copy then just call CT_COPY with an
> unused bank.
> If you are to do several copies then first call CT_MAKEMASK. Then call CT_COPY
> the acquired number of times. Then erase the tempbank.
> 
> Without the mask making 16 colour 320*256 to ditto now only takes 3.2
> PAL-vbl's on '060.
> (With mask making it takes 4.6 vbl's)

   thanks :)  The routine is about as fast now, but almost certainly uses less memory.  Is it possible to make it faster though? I do have an 040, and I'm just thinking as this requires lots of CPU power, what about lesser amiga's?  

   There doesn't seem to be anywhere we can make more efficency gains, as I couldn't save the stenciled picture, I'd end up with 100's of different combos...

   Although, I was thinking, couldn't we use the blitter to cut the mask out of the destination screen? I would've thought the blitter'd be good at doing that kind of bitplane stuff?

See ya.
-- 
       Manta Soft  -  Amiga programing & web page designing
     Http://members.tripod.com/~mantasoft/      ICQ: 21829166        
 Homepage updated 5/8/99 --- James Bond on GFX Card & CPU players!
  - ------------------- Quote of the day: -------------------- -
Penguins can jump as high as 6 feet.
--The Miscellanea Digest

--------------------------- ONElist Sponsor ----------------------------

You can WIN $100 to Amazon.com by starting a new list at ONElist. 
Drawing is held each week through September 17.  For details go to: 
<a href=" http://clickme.onelist.com/ad/Teaser116 ">Click Here</a>

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html